DOM::UIEvent class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::UIEvent Class Reference

Introduced in DOM Level 2. More...

`#include <dom2_events.h>`

Inheritance diagram for DOM::UIEvent:

[legend]
Collaboration diagram for DOM::UIEvent:

[legend]
List of all members.

## Public Member Functions
| UIEvent (const UIEvent &other)
| UIEvent (const Event &other)
UIEvent & | operator= (const UIEvent &other)
UIEvent & | operator= (const Event &other)
AbstractView | view () const
| The view attribute identifies the AbstractView from which the event was generated.
long | detail () const
| Specifies some detail information about the Event, depending on the type of event.
void | initUIEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg)
| The initUIEvent method is used to initialize the value of a UIEvent created through the DocumentEvent interface.
## Protected Member Functions
| UIEvent (UIEventImpl *impl)

## Detailed Description

Introduced in DOM Level 2.

The UIEvent interface provides specific contextual information associated with User Interface events.

Definition at line 309 of file dom2_events.h.

## Member Function Documentation

AbstractView UIEvent::view | ( |  | ) | const

| The view attribute identifies the AbstractView from which the event was generated. Definition at line 243 of file dom2_events.cpp.

long UIEvent::detail | ( |  | ) | const

| Specifies some detail information about the Event, depending on the type of event. Definition at line 251 of file dom2_events.cpp.

void UIEvent::initUIEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const AbstractView & | viewArg,
|  | long | detailArg
| ) |

  | The initUIEvent method is used to initialize the value of a UIEvent created through the DocumentEvent interface. This method may only be called before the UIEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence. Parameters:
  typeArg | Specifies the event type.
  canBubbleArg | Specifies whether or not the event can bubble.
  cancelableArg | Specifies whether or not the event's default action can be prevented.
  viewArg | Specifies the Event's AbstractView.
  detailArg | Specifies the Event's detail.
Definition at line 259 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001